FreeMat

- Main Page
- Related Pages

vtkXMLPStructuredDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPStructuredDataWriter provides PVTK XML writing functionality that is common among all the parallel structured data formats.

To create an instance of class vtkXMLPStructuredDataWriter, simply invoke its constructor as follows

      obj = vtkXMLPStructuredDataWriter

# Methods

The class vtkXMLPStructuredDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPStructuredDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPStructuredDataWriter = obj.NewInstance ()`
- `vtkXMLPStructuredDataWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetExtentTranslator (vtkExtentTranslator )` - Get/Set the extent translator used for creating pieces.
- `vtkExtentTranslator = obj.GetExtentTranslator ()` - Get/Set the extent translator used for creating pieces.